<?php
require_once(getabspath("classes/cipherer.php"));
$tdatadet_cobro = array();
	$tdatadet_cobro[".NumberOfChars"] = 80; 
	$tdatadet_cobro[".ShortName"] = "det_cobro";
	$tdatadet_cobro[".OwnerID"] = "";
	$tdatadet_cobro[".OriginalTable"] = "det_cobro";

//	field labels
$fieldLabelsdet_cobro = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsdet_cobro["Spanish"] = array();
	$fieldToolTipsdet_cobro["Spanish"] = array();
	$fieldLabelsdet_cobro["Spanish"]["iddet_cobro"] = "Iddet Cobro";
	$fieldToolTipsdet_cobro["Spanish"]["iddet_cobro"] = "";
	$fieldLabelsdet_cobro["Spanish"]["idcobro"] = "Idcobro";
	$fieldToolTipsdet_cobro["Spanish"]["idcobro"] = "";
	$fieldLabelsdet_cobro["Spanish"]["idcuenta"] = "Cuenta";
	$fieldToolTipsdet_cobro["Spanish"]["idcuenta"] = "";
	$fieldLabelsdet_cobro["Spanish"]["importe"] = "Importe";
	$fieldToolTipsdet_cobro["Spanish"]["importe"] = "";
	$fieldLabelsdet_cobro["Spanish"]["anulado"] = "Anulado";
	$fieldToolTipsdet_cobro["Spanish"]["anulado"] = "";
	if (count($fieldToolTipsdet_cobro["Spanish"]))
		$tdatadet_cobro[".isUseToolTips"] = true;
}
	
	
	$tdatadet_cobro[".NCSearch"] = true;



$tdatadet_cobro[".shortTableName"] = "det_cobro";
$tdatadet_cobro[".nSecOptions"] = 0;
$tdatadet_cobro[".recsPerRowList"] = 1;
$tdatadet_cobro[".mainTableOwnerID"] = "";
$tdatadet_cobro[".moveNext"] = 1;
$tdatadet_cobro[".nType"] = 0;

$tdatadet_cobro[".strOriginalTableName"] = "det_cobro";




$tdatadet_cobro[".showAddInPopup"] = false;

$tdatadet_cobro[".showEditInPopup"] = false;

$tdatadet_cobro[".showViewInPopup"] = false;

$tdatadet_cobro[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdatadet_cobro[".listAjax"] = true;
else 
	$tdatadet_cobro[".listAjax"] = false;

	$tdatadet_cobro[".audit"] = false;

	$tdatadet_cobro[".locking"] = false;

$tdatadet_cobro[".inlineEdit"] = true;
$tdatadet_cobro[".inlineAdd"] = true;

$tdatadet_cobro[".exportTo"] = true;

$tdatadet_cobro[".printFriendly"] = true;


$tdatadet_cobro[".showSimpleSearchOptions"] = false;

$tdatadet_cobro[".showSearchPanel"] = true;

if (isMobile())
	$tdatadet_cobro[".isUseAjaxSuggest"] = false;
else 
	$tdatadet_cobro[".isUseAjaxSuggest"] = true;

$tdatadet_cobro[".rowHighlite"] = true;

// button handlers file names

$tdatadet_cobro[".addPageEvents"] = false;

// use timepicker for search panel
$tdatadet_cobro[".isUseTimeForSearch"] = false;




$tdatadet_cobro[".allSearchFields"] = array();

$tdatadet_cobro[".allSearchFields"][] = "iddet_cobro";
$tdatadet_cobro[".allSearchFields"][] = "idcobro";
$tdatadet_cobro[".allSearchFields"][] = "idcuenta";
$tdatadet_cobro[".allSearchFields"][] = "importe";
$tdatadet_cobro[".allSearchFields"][] = "anulado";

$tdatadet_cobro[".googleLikeFields"][] = "iddet_cobro";
$tdatadet_cobro[".googleLikeFields"][] = "idcobro";
$tdatadet_cobro[".googleLikeFields"][] = "idcuenta";
$tdatadet_cobro[".googleLikeFields"][] = "importe";
$tdatadet_cobro[".googleLikeFields"][] = "anulado";


$tdatadet_cobro[".advSearchFields"][] = "iddet_cobro";
$tdatadet_cobro[".advSearchFields"][] = "idcobro";
$tdatadet_cobro[".advSearchFields"][] = "idcuenta";
$tdatadet_cobro[".advSearchFields"][] = "importe";
$tdatadet_cobro[".advSearchFields"][] = "anulado";

$tdatadet_cobro[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatadet_cobro[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatadet_cobro[".strOrderBy"] = $tstrOrderBy;

$tdatadet_cobro[".orderindexes"] = array();

$tdatadet_cobro[".sqlHead"] = "SELECT iddet_cobro,  idcobro,  idcuenta,  importe,  anulado";
$tdatadet_cobro[".sqlFrom"] = "FROM det_cobro";
$tdatadet_cobro[".sqlWhereExpr"] = "";
$tdatadet_cobro[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadet_cobro[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadet_cobro[".arrGroupsPerPage"] = $arrGPP;

$tableKeysdet_cobro = array();
$tableKeysdet_cobro[] = "iddet_cobro";
$tdatadet_cobro[".Keys"] = $tableKeysdet_cobro;

$tdatadet_cobro[".listFields"] = array();
$tdatadet_cobro[".listFields"][] = "idcuenta";
$tdatadet_cobro[".listFields"][] = "importe";

$tdatadet_cobro[".viewFields"] = array();

$tdatadet_cobro[".addFields"] = array();

$tdatadet_cobro[".inlineAddFields"] = array();
$tdatadet_cobro[".inlineAddFields"][] = "idcuenta";
$tdatadet_cobro[".inlineAddFields"][] = "importe";

$tdatadet_cobro[".editFields"] = array();

$tdatadet_cobro[".inlineEditFields"] = array();
$tdatadet_cobro[".inlineEditFields"][] = "idcuenta";
$tdatadet_cobro[".inlineEditFields"][] = "importe";

$tdatadet_cobro[".exportFields"] = array();
$tdatadet_cobro[".exportFields"][] = "iddet_cobro";
$tdatadet_cobro[".exportFields"][] = "idcobro";
$tdatadet_cobro[".exportFields"][] = "idcuenta";
$tdatadet_cobro[".exportFields"][] = "importe";
$tdatadet_cobro[".exportFields"][] = "anulado";

$tdatadet_cobro[".printFields"] = array();
$tdatadet_cobro[".printFields"][] = "iddet_cobro";
$tdatadet_cobro[".printFields"][] = "idcobro";
$tdatadet_cobro[".printFields"][] = "idcuenta";
$tdatadet_cobro[".printFields"][] = "importe";
$tdatadet_cobro[".printFields"][] = "anulado";

//	iddet_cobro
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "iddet_cobro";
	$fdata["GoodName"] = "iddet_cobro";
	$fdata["ownerTable"] = "det_cobro";
	$fdata["Label"] = "Iddet Cobro"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "iddet_cobro"; 
		$fdata["FullName"] = "iddet_cobro";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_cobro["iddet_cobro"] = $fdata;
//	idcobro
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "idcobro";
	$fdata["GoodName"] = "idcobro";
	$fdata["ownerTable"] = "det_cobro";
	$fdata["Label"] = "Idcobro"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idcobro"; 
		$fdata["FullName"] = "idcobro";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "idcobro";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "idcobro";
	
		
	$edata["LookupTable"] = "cobro";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_cobro["idcobro"] = $fdata;
//	idcuenta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "idcuenta";
	$fdata["GoodName"] = "idcuenta";
	$fdata["ownerTable"] = "det_cobro";
	$fdata["Label"] = "Cuenta"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idcuenta"; 
		$fdata["FullName"] = "idcuenta";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "idcuenta";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "denominacion";
	
		
	$edata["LookupTable"] = "cuenta";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_cobro["idcuenta"] = $fdata;
//	importe
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "importe";
	$fdata["GoodName"] = "importe";
	$fdata["ownerTable"] = "det_cobro";
	$fdata["Label"] = "Importe"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "importe"; 
		$fdata["FullName"] = "importe";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Number");
	
		
		
		
			
		
		$vdata["DecimalDigits"] = 0;
	
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:100px;";
	$edata["controlWidth"] = 100;
	
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_cobro["importe"] = $fdata;
//	anulado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "anulado";
	$fdata["GoodName"] = "anulado";
	$fdata["ownerTable"] = "det_cobro";
	$fdata["Label"] = "Anulado"; 
	$fdata["FieldType"] = 200;
	
		
		
		
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "anulado"; 
		$fdata["FullName"] = "anulado";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=2";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatadet_cobro["anulado"] = $fdata;

	
$tables_data["det_cobro"]=&$tdatadet_cobro;
$field_labels["det_cobro"] = &$fieldLabelsdet_cobro;
$fieldToolTips["det_cobro"] = &$fieldToolTipsdet_cobro;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["det_cobro"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["det_cobro"] = array();

$mIndex = 1-1;
			$strOriginalDetailsTable="venta";
	$masterParams["mDataSourceTable"]="venta";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "venta";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();
	$masterParams["dispChildCount"]= "1";
	$masterParams["hideChild"]= "0";
	$masterParams["dispInfo"]= "1";
	$masterParams["previewOnList"]= 1;
	$masterParams["previewOnAdd"]= 1;
	$masterParams["previewOnEdit"]= 0;
	$masterParams["previewOnView"]= 0;
	$masterTablesData["det_cobro"][$mIndex] = $masterParams;	
		$masterTablesData["det_cobro"][$mIndex]["masterKeys"][]="idventa";
		$masterTablesData["det_cobro"][$mIndex]["detailKeys"][]="idventa";

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_det_cobro()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "iddet_cobro,  idcobro,  idcuenta,  importe,  anulado";
$proto0["m_strFrom"] = "FROM det_cobro";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "iddet_cobro",
	"m_strTable" => "det_cobro"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "idcobro",
	"m_strTable" => "det_cobro"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "idcuenta",
	"m_strTable" => "det_cobro"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "importe",
	"m_strTable" => "det_cobro"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "anulado",
	"m_strTable" => "det_cobro"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto15=array();
$proto15["m_link"] = "SQLL_MAIN";
			$proto16=array();
$proto16["m_strName"] = "det_cobro";
$proto16["m_columns"] = array();
$proto16["m_columns"][] = "iddet_cobro";
$proto16["m_columns"][] = "idventa";
$proto16["m_columns"][] = "idcobro";
$proto16["m_columns"][] = "idcuenta";
$proto16["m_columns"][] = "importe";
$proto16["m_columns"][] = "nro_comprobante";
$proto16["m_columns"][] = "anulado";
$obj = new SQLTable($proto16);

$proto15["m_table"] = $obj;
$proto15["m_alias"] = "";
$proto17=array();
$proto17["m_sql"] = "";
$proto17["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto17["m_column"]=$obj;
$proto17["m_contained"] = array();
$proto17["m_strCase"] = "";
$proto17["m_havingmode"] = "0";
$proto17["m_inBrackets"] = "0";
$proto17["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto17);

$proto15["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto15);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_det_cobro = createSqlQuery_det_cobro();
					$tdatadet_cobro[".sqlquery"] = $queryData_det_cobro;
	
if(isset($tdatadet_cobro["field2"])){
	$tdatadet_cobro["field2"]["LookupTable"] = "carscars_view";
	$tdatadet_cobro["field2"]["LookupOrderBy"] = "name";
	$tdatadet_cobro["field2"]["LookupType"] = 4;
	$tdatadet_cobro["field2"]["LinkField"] = "email";
	$tdatadet_cobro["field2"]["DisplayField"] = "name";
	$tdatadet_cobro[".hasCustomViewField"] = true;
}

$tableEvents["det_cobro"] = new eventsBase;
$tdatadet_cobro[".hasEvents"] = false;

$cipherer = new RunnerCipherer("det_cobro");

?>